<bugID>582340<Summary>Refactor the creation of the Web Console UI to avoid unnecessarily hanging onto nodes</Summary><Description>Created attachment 460619
Proposed patch.

gavin suggested in bug 582135 that the DOM nodes in the Web Console should be appended to their parents in the same function that they're created in, to avoid having to attach them to the HUD object. This patch implements this change. It moves everything but the filter button creation out of makeFilterToolbar() and into the makeHUDNodes() function, and it renames makeFilterToolbar() to createFilterButtons().

Requesting approval for Firefox 4, as a reviewer-suggested refactoring for bug 582135 (which I am also requesting Fx4 approval for).</Description></bugID>